View Issue Details

IDProjectCategoryView StatusLast Update
0003289gnunet-gtkgnunet-conversation-gtkpublic2014-04-08 16:42
ReporterChristian GrothoffAssigned Toyids 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003289: crash on GNUNET_free (invalid pointer) in shutdown
Description(gdb) ba
#0 GNUNET_xfree_ (ptr=0x407ced, filename=<optimized out>, linenumber=<optimized out>) at common_allocation.c:234
#1 0x0000000000406000 in GNUNET_GTK_conversation_quit_cb (object=0x87a070, user_data=0xae94e0) at gnunet-conversation-gtk.c:1089
#2 0x00007f80cd5223ae in _gtk_marshal_BOOLEAN__BOXEDv (closure=0x8eeb50, return_value=0x7fff031ad360, instance=<optimized out>, args=<optimized out>, marshal_data=<optimized out>,
    n_params=<optimized out>, param_types=0x81a750) at /tmp/buildd/gtk+3.0-3.8.6/./gtk/gtkmarshalers.c:130
#3 0x00007f80cbdb2157 in _g_closure_invoke_va (closure=0x8eeb50, return_value=0x7fff031ad360, instance=0x87a070, args=0x7fff031ad468, n_params=1, param_types=0x81a750)
    at /tmp/buildd/glib2.0-2.36.4/./gobject/gclosure.c:840
#4 0x00007f80cbdca248 in g_signal_emit_valist (instance=0x87a070, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fff031ad468)
    at /tmp/buildd/glib2.0-2.36.4/./gobject/gsignal.c:3234
#5 0x00007f80cbdcaf32 in g_signal_emit (instance=instance@entry=0x87a070, signal_id=<optimized out>, detail=detail@entry=0) at /tmp/buildd/glib2.0-2.36.4/./gobject/gsignal.c:3384
#6 0x00007f80cd642664 in gtk_widget_event_internal (widget=widget@entry=0x87a070, event=event@entry=0xae94e0) at /tmp/buildd/gtk+3.0-3.8.6/./gtk/gtkwidget.c:6722
#7 0x00007f80cd642939 in gtk_widget_event (widget=widget@entry=0x87a070, event=event@entry=0xae94e0) at /tmp/buildd/gtk+3.0-3.8.6/./gtk/gtkwidget.c:6379
#8 0x00007f80cd5220e9 in gtk_main_do_event (event=0xae94e0) at /tmp/buildd/gtk+3.0-3.8.6/./gtk/gtkmain.c:1596
#9 0x00007f80cd15ce12 in gdk_event_source_dispatch (source=source@entry=0x84c150, callback=<optimized out>, user_data=<optimized out>)
    at /tmp/buildd/gtk+3.0-3.8.6/./gdk/x11/gdkeventsource.c:364
#10 0x00007f80cbaeaea6 in g_main_dispatch (context=0x8363c0) at /tmp/buildd/glib2.0-2.36.4/./glib/gmain.c:3054
#11 g_main_context_dispatch (context=0x8363c0) at /tmp/buildd/glib2.0-2.36.4/./glib/gmain.c:3630
#12 0x00007f80cf5493e1 in dispatch_gtk_task (cls=0x7fff031ad9d0, tc=0x7fff031ad730) at eventloop.c:327
#13 0x00007f80ced10f52 in run_ready (ws=0x7fd9f0, rs=0x800ef0) at scheduler.c:595
#14 GNUNET_SCHEDULER_run (task=task@entry=0x7f80ced0b830 <program_main>, task_cls=task_cls@entry=0x7fff031ad7e0) at scheduler.c:817
#15 0x00007f80ced0bfbb in GNUNET_PROGRAM_run2 (argc=<optimized out>, argv=0x7fff031adb68, binaryName=<optimized out>, binaryHelp=<optimized out>, options=<optimized out>,
    task=<optimized out>, task_cls=task_cls@entry=0x7fff031ad9d0, run_without_scheduler=run_without_scheduler@entry=0) at program.c:302
#16 0x00007f80ced0c2ea in GNUNET_PROGRAM_run (argc=<optimized out>, argv=<optimized out>, binaryName=<optimized out>, binaryHelp=<optimized out>, options=<optimized out>,
    task=<optimized out>, task_cls=0x7fff031ad9d0) at program.c:341
#17 0x00007f80cf54a387 in GNUNET_GTK_main_loop_start (binary_name=0x407cca "gnunet-conversation-gtk", binary_help=0x407d4a "GTK GUI for conversation", argc=1, argv=0x7fff031adb68,
    options=0x6097c0 <options.58892>, main_window_file=0x407d20 "gnunet_conversation_gtk_main_window.glade", main_task=0x40604e <run>) at eventloop.c:1000
#18 0x000000000040643d in main (argc=1, argv=0x7fff031adb68) at gnunet-conversation-gtk.c:1217
Steps To ReproduceNote that the 'phone-ego' was not available in my identity manager at the time.
Additional Information#1 0x0000000000406000 in GNUNET_GTK_conversation_quit_cb (object=0x87a070, user_data=0xae94e0) at gnunet-conversation-gtk.c:1089
(gdb) print ego_name
$1 = 0x407ced "phone-ego"

Could this be a static string (not on the heap...)
TagsNo tags attached.

Activities

hark

2014-01-30 22:39

reporter   ~0008047

should be fixed in r32129

i removed the gnunet_free(ego_name)

Issue History

Date Modified Username Field Change
2014-01-30 13:36 Christian Grothoff New Issue
2014-01-30 13:36 Christian Grothoff Status new => assigned
2014-01-30 13:36 Christian Grothoff Assigned To => yids
2014-01-30 22:39 hark Note Added: 0008047
2014-01-30 22:39 hark Status assigned => resolved
2014-01-30 22:39 hark Resolution open => fixed
2014-02-02 10:53 Christian Grothoff Fixed in Version => 0.10.1
2014-02-02 10:53 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed